## dzl-dock-transient-grab

dzl-dock-transient-grab

## Functions

DzlDockTransientGrab * | dzl_dock_transient_grab_new ()
void | dzl_dock_transient_grab_add_item ()
void | dzl_dock_transient_grab_remove_item ()
void | dzl_dock_transient_grab_acquire ()
void | dzl_dock_transient_grab_release ()
guint | dzl_dock_transient_grab_get_timeout ()
void | dzl_dock_transient_grab_set_timeout ()
gboolean | dzl_dock_transient_grab_contains ()
gboolean | dzl_dock_transient_grab_is_descendant ()
void | dzl_dock_transient_grab_steal_common_ancestors ()
void | dzl_dock_transient_grab_cancel ()

## Properties

guint | timeout | Read / Write

## Types and Values

#define | DZL_TYPE_DOCK_TRANSIENT_GRAB
| DzlDockTransientGrab

## Object Hierarchy

        GObject
        ╰── DzlDockTransientGrab

## Description

## Functions

### dzl_dock_transient_grab_new ()

    DzlDockTransientGrab *
    dzl_dock_transient_grab_new (void);

### dzl_dock_transient_grab_add_item ()

    void
    dzl_dock_transient_grab_add_item (DzlDockTransientGrab *self,
                                      DzlDockItem *item);

### dzl_dock_transient_grab_remove_item ()

    void
    dzl_dock_transient_grab_remove_item (DzlDockTransientGrab *self,
                                         DzlDockItem *item);

### dzl_dock_transient_grab_acquire ()

    void
    dzl_dock_transient_grab_acquire (DzlDockTransientGrab *self);

### dzl_dock_transient_grab_release ()

    void
    dzl_dock_transient_grab_release (DzlDockTransientGrab *self);

### dzl_dock_transient_grab_get_timeout ()

    guint
    dzl_dock_transient_grab_get_timeout (DzlDockTransientGrab *self);

### dzl_dock_transient_grab_set_timeout ()

    void
    dzl_dock_transient_grab_set_timeout (DzlDockTransientGrab *self,
                                         guint timeout);

### dzl_dock_transient_grab_contains ()

    gboolean
    dzl_dock_transient_grab_contains (DzlDockTransientGrab *self,
                                      DzlDockItem *item);

### dzl_dock_transient_grab_is_descendant ()

    gboolean
    dzl_dock_transient_grab_is_descendant (DzlDockTransientGrab *self,
                                           GtkWidget *widget);

### dzl_dock_transient_grab_steal_common_ancestors ()

    void
    dzl_dock_transient_grab_steal_common_ancestors
                                   (DzlDockTransientGrab *self,
                                    DzlDockTransientGrab *other);

### dzl_dock_transient_grab_cancel ()

    void
    dzl_dock_transient_grab_cancel (DzlDockTransientGrab *self);

## Types and Values

### DZL_TYPE_DOCK_TRANSIENT_GRAB

    #define DZL_TYPE_DOCK_TRANSIENT_GRAB (dzl_dock_transient_grab_get_type())

### DzlDockTransientGrab

    typedef struct _DzlDockTransientGrab DzlDockTransientGrab;

## Property Details

### The `“timeout”` property

      “timeout”                  guint

Timeout.

Owner: DzlDockTransientGrab

Flags: Read / Write

Default value: 0